package com.tzld.piaoquan.recommend.server.service.recall.strategy;

import com.tzld.piaoquan.recommend.server.service.recall.RecallParam;
import org.springframework.stereotype.Service;

/**
 * 分地域24h
 *
 * @author dyp
 */
@Service
public class Dup224HRegionRecallStrategy extends AbstractRegionRecallStrategy {
    //record_key_prefix = config_.RECORD_KEY_NAME_PREFIX_LAST_VIDEO_REGION_DUP2_24H
    //            # 视频列表
    //            pool_key_prefix = config_.RECALL_KEY_NAME_PREFIX_DUP2_REGION_24H_H
    //            # mid对应上一次视频记录
    //            last_video_key_prefix = config_.LAST_VIDEO_FROM_REGION_DUP2_24H_PREFIX
    //            push_from = config_.PUSH_FROM['rov_recall_24h']
    @Override
    protected String recordKey(RecallParam param) {
        return String.format("recall:last:record:region:dup2:24h:%s:%s", param.getAppType(), param.getMid());
    }

    @Override
    protected String poolKey(RecallParam param, String now_dt, int h) {
        return String.format("recall:item:score:region:dup2:24h:%s:%s:%s:%s:%s", param.getProvinceCode(), param.getDataKey(), param.getRuleKey(), now_dt, h);
    }

    @Override
    protected String lastVideoKey(RecallParam param) {
        return String.format("recall:last:item:region:dup2:24h:%s:%s", param.getAppType(), param.getMid());
    }

    @Override
    protected String pushFrom() {
        return "recall_pool_24h";
    }
}
