package com.tzld.piaoquan.recommend.server.service.recall.strategy;

import com.tzld.piaoquan.recommend.server.service.recall.RecallParam;
import org.springframework.stereotype.Service;

/**
 * 分地域
 * @author dyp
 */
@Service
public class RegionHRegionRecallStrategy extends AbstractRegionRecallStrategy {

    @Override
    protected String recordKey(RecallParam param) {
        return String.format("recall:last:record:region:h:%s:%s", param.getAppType(), param.getMid());
    }

    @Override
    protected String poolKey(RecallParam param, String now_dt, int h) {
        return String.format("recall:item:score:region:h:%s:%s:%s:%s:%s", param.getProvinceCode(), param.getDataKey(), param.getRuleKey(), now_dt, h);
    }

    @Override
    protected String lastVideoKey(RecallParam param) {
        return String.format("recall:last:item:region:h:%s:%s", param.getAppType(), param.getMid());
    }

    @Override
    protected String pushFrom() {
        return "recall_pool_region_h";
    }
}
